function Templ=BandFil(h,x,y,k,delx,dely,SpecFig,SectFig,Templ)
% Filtration of Fourier spectrum A
% Filter shape is ring
[m,n]=size(Templ);
xk=-n/2:n/2-1;
yk=-m/2:m/2-1;
%x0=(n-1)/2+1; %centre point is always included
%y0=(m-1)/2+1;
x0=n/2+1;
y0=m/2+1;
delfx=1/(n*delx);
delfy=1/(m*dely);
Fx=xk.*delfx;
Fy=yk.*delfy;


figure(SectFig)
%disp('Choose filter area for the  section')
disp('    e ')
[x1,y1]=ginput(1);
plot(x1,y1,'xr')
[x2,y2]=ginput(1);
plot(x2,y2,'xw')
l=abs(x2-x1);
if abs(k)>1
xs=x(round((x1/delfy+y0)));
ys=x1;
else
ys=y(round((x1/delfx+x0)));
xs=x1;
end
v=get(h.Koef,'Userdata');
v
figure(SpecFig);
hold on

Templ=ringflt(Templ,xs,ys,l,delfx,delfy,v);


set(h.Execute, 'enable','on');
MainF=gcbf;
figure(MainF);