function ExecuteFil(h,Templ,F,delx,dely)

set(h.Section, 'enable','off');
set(h.Horizfft, 'enable','off');
set(h.High, 'enable','off');
set(h.Select, 'enable','off');
set(h.Band, 'enable','off');
set(h.Execute, 'enable','off');

%[m,n]=size(Templ);
[m0,n0]=size(F);
%m=round((m0+1)*4/5);
%n=round((n0+1)*4/5);
m=round((m0+1)*7/8);
n=round((n0+1)*7/8);

xk=-n0/2:n0/2-1;
yk=-m0/2:m0/2-1;
delfx=1/(n0*delx);
delfy=1/(m0*dely);
Fx=xk.*delfx;
Fy=yk.*delfy;
%F1=fftshift(F);
Ffull=genfltr(Templ);
hf1=figure;
surf(Ffull)
shading interp;grid off
   colormap(gray)
   set(hf1,'Color',[1 1 1])
%   xlabel('1/'); ylabel('1/');
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
F1=F.*Ffull;
KF=[];
F2=fftshift(F1);
clear F1;
KF=ifft2(F2,m0,n0);
KF=KF(1:m,1:n);
bot=min(real(KF(:)));
KF=KF+abs(bot);

%figure, mesh(real(KF)); figure, mesh(imag(KF));
PKF=(KF.*conj(KF)).^0.5;
X=delx:delx:(n)*delx;
Y=dely:dely:(m)*dely;
PKF=PKF/max(PKF(:));

figure
ha=axes;
imshow(X,Y,PKF);
set(ha,'YDir','normal');

