function FA=specflt(A,x,y,l,delfx,delfy,v)
% Filtration of Fourier spectrum A

[mA,nA]=size(A);
FA=ones(mA,nA);
mA2=round(mA/2);
nA2=round(nA/2);
for i=-mA2:mA2-1
for j=-nA2:nA2-1
 g1=(i*delfy-y)^2+(j*delfx-x)^2;
 if g1<=l^2
FA(round((i+(mA-1)/2+1)),round((j+(nA-1)/2+1)))=v;
  FA(round(mA-(i+(mA-1)/2)),round(nA-(j+(nA-1)/2)))=v;
 end
end
end
xk=-nA/2:nA/2-1;
yk=-mA/2:mA/2-1;
Fx=xk*delfx;
Fy=yk*delfy;
plot(x,y,'xr')
plot(-x,-y,'xr')
contour(Fx,Fy,FA);
FA=FA.*A;
%W1=genfltr(FA);
%W=A.*W1;
hold off
%figure
%mesh(W1) , title('Friquency filter');