function FA=ringflt(A,x,y,l,delfx,delfy,v)
% Filtration of Fourier spectrum A
% Filter shape is ring
[mA,nA]=size(A);
FA=ones(mA,nA);
x=abs(x); y=abs(y);
r=(x^2+y^2)^0.5;
 r1=r+l;
 r2=r-l;
if r2<0
r2=0;
end
for i=-mA/2:mA/2-1
for j=-nA/2:nA/2-1
 rxy=((i*delfy)^2+(j*delfx)^2)^0.5;
 if rxy<=r1 & rxy>=r2
 FA(round(i+(mA-1)/2+1),round(j+(nA-1)/2+1))=v;
 end
end
end
xk=-nA/2:nA/2-1;
yk=-mA/2:mA/2-1;
Fx=xk*delfx;
Fy=yk*delfy;
contour(Fx,Fy,FA);
FA=FA.*A;
%W1=genfltr(FA);
%figure
%mesh(W1)
%pause
%W=A.*W1;
hold off
%figure
%mesh(W1)  ,title('Friquency filter');